Gtk_Image(3)

NAME - Gtk_Image
Image Widget

HEADER REQUIRED
#include <gtk--/image.h&gt;>

BASE CLASSES
Gtk_Misc(3)

DESCRIPTION
An image is a client side pixmap. As it is client side, it can be altered directly by the program. However, it pays a performance hit.

PROPERTIES

image
    Type: Gdk_Image
    Get: get()
    Set: set()

     Images graphic representation.

mask
    Type: Gdk_Bitmap
    Get: get()
    Set: set()

     Bitmap that defines the boundaries of the image.

PUBLIC MEMBER INDEX
    Gtk_Image(const Gdk_Image &val, const Gdk_Bitmap &mask);
      Create a Image widget from a Gdk_Image and Gdk_Bitmap.
    Gtk_Image(GtkImage *castitem);
    void  set(const Gdk_Image &val, const Gdk_Bitmap &mask);
      Set the image.
    void  get(Gdk_Image &val, Gdk_Bitmap &mask) const;
      Access the image.
    GtkImage*  gtkobj();
    const GtkImage*  gtkobj() const;
    static bool  isGtkImage(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkImage  BaseObjectType;
    typedef GtkImageClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  image_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS